Package org.eclipse.birt.chart.script

# Interface IScriptContext

All Superinterfaces:
  `Serializable`

All Known Subinterfaces:
  `IChartScriptContext`

All Known Implementing Classes:
  `AbstractScriptContext`, `ChartScriptContext`

public interface IScriptContext extends Serializable
The interface declares methods to provide appropriate context in scripts.

## Method Summary

Modifier and Type
Method
Description
`IExternalContext`
`getExternalContext()`
`Locale`
`getLocale()`
Deprecated.
Use `getULocale()` instead.
`ILogger`
`getLogger()`
`Object`
`getProperty(Object key)`
Returns property value.
`com.ibm.icu.util.ULocale`
`getULocale()`
`void`
`setProperty(Object key, Object value)`
Saves property value.

## Method Details

### getLocale

@Deprecated Locale getLocale()
Deprecated.
Use `getULocale()` instead.

Returns:
  Returns the locale of current context.

### getULocale

com.ibm.icu.util.ULocale getULocale()

Returns:
  Returns the locale of current context.
Since:
  2.1

### getExternalContext

IExternalContext getExternalContext()

Returns:
  Returns the external context.

### getLogger

ILogger getLogger()

Returns:
  Returns an ILogger instance, to allow logging from script.
See Also:
  - `ILogger`

### getProperty

Object getProperty(Object key)
Returns property value.

Parameters:
  `key` -
Returns:
Since:
  2.5

### setProperty

void setProperty(Object key, Object value)
Saves property value.

Parameters:
  `key` -
  `value` -
Since:
  2.5